local _, cClass = UnitClass("player")
if (cClass ~= "HUNTER") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(56453)] = { color={0,0.5,1}, cooldown=22, }, -- Lock and Load
		[GetSpellInfo(35099)] = { color={1,0,0.5}, }, -- Rapid Killing
		[GetSpellInfo(3045)]  = { color={0.7,0.1,0.1}, }, -- Rapid Fire
		[GetSpellInfo(34692)] = { color={0,0,1}, }, -- The Beast Within
		[GetSpellInfo(19263)] = { color={0.93,0.98,0.51}, }, -- Deterrance
		[GetSpellInfo(64418)] = { color={1,0.5,0}, }, -- Sniper Training
		[GetSpellInfo(34477)] = { color={0.40,0.80,1}, }, -- Misidirection (self)
	}
	return tmplist
end