local _, cClass = UnitClass("player")
if (cClass ~= "WARLOCK") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(18093)] = { color={1,0,0}, }, -- Pyroclasm
		[GetSpellInfo(47283)] = { color={0.93,0.98,0.51}, }, -- Empowered Imp
		[GetSpellInfo(54277)] = { color={1,0,0.5}, }, -- Backdraft
		[GetSpellInfo(63321)] = { color={0,0.5,1}, }, -- Lifetap (glyph)
		[GetSpellInfo(47241)] = { color={0.55,0,0.8}, }, -- Metamorphisis
		[GetSpellInfo(50589)] = { color={1,0.5,0}, }, -- Immolation Aura
		[GetSpellInfo(63167)] = { color={0.8,0.2,0}, }, -- Decimation
		[GetSpellInfo(47985)] = { color={0,0.5,1}, }, -- Voidwalker Sacrifice
		[GetSpellInfo(71165)] = { color={1,0,0.5}, }, -- Molten Core
		[GetSpellInfo(64371)] = { color={0.93,0.98,0.51}, }, -- Eradication
		[GetSpellInfo(17941)] = { color={1,0,0.5}, }, -- Shadow Trance
		[GetSpellInfo(34936)] = { color={1,0.5,0}, }, -- Backlash
	}
	return tmplist
end
