local _, cClass = UnitClass("player")
if (cClass ~= "MAGE") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(64343)] = { color={1,0.5,0}, }, -- Impact
		[GetSpellInfo(48108)] = { color={1,0,0}, }, -- Hot Streak
		[GetSpellInfo(54741)] = { color={1,0,0.5}, }, -- FireStarter
		[GetSpellInfo(31643)] = { color={0,1,0}, }, -- Blazing Speed
		[GetSpellInfo(12042)] = { color={0.25,0.5,75}, }, -- Arcane Power
		[GetSpellInfo(44401)] = { color={1,0,0.5}, }, -- Missile Barrage
		[GetSpellInfo(12472)] = { color={0.27,0.51,0.71}, }, -- Icy Veins
		[GetSpellInfo(44544)] = { color={0,0,1}, }, -- Fingers of Frost
		[GetSpellInfo(43038)] = { color={0,0,1}, }, -- Ice Barrier
		[GetSpellInfo(45438)] = { color={0,0,0.5}, }, -- Ice Block
		[GetSpellInfo(32612)] = { color={0.39,0.58,0.93}, }, -- Invisibility
		[GetSpellInfo(57761)] = { color={0.95,0.1,0.2}, }, -- Brain Freeze (Fireball!) ~instant cast fireball~
		[GetSpellInfo(28682)] = { color={1,0.5,0}, }, -- Combustion
		
		-- All keys {the ["#####"]) will have to be the spellID, cant be the names like above
		combatlog = {
			["55342"] = { name=GetSpellInfo(55342), color={0,0.5,1}, dur=30, }, -- Mirror Image
			["36032"] = { name=GetSpellInfo(36032), color={0,0,1}, dur=6, }, -- Arcane Blast (debuff)
			["41425"] = { name=GetSpellInfo(41425), color={1,0,0}, dur=30, }, -- Hypothermia
		},
	}
	return tmplist
end