local _, cClass = UnitClass("player")
if (cClass ~= "PRIEST") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(33154)] = { color={0.93,0.98,0.51}, }, -- Surge of Light
		[GetSpellInfo(33206)] = { color={0,0.5,1}, }, -- Pain Suppression
		[GetSpellInfo(10060)] = { color={1,0.5,0}, }, -- Power Infusion
		[GetSpellInfo(59000)] = { color={1,0,0.5}, }, -- Spirit Tap
		[GetSpellInfo(59891)] = { color={1,0.5,0}, }, -- Borrowed Time
		[GetSpellInfo(63944)] = { color={0.93,0.98,0.51}, }, -- Renewed Hope
		[GetSpellInfo(63734)] = { color={0,0,1}, maxc=3, }, -- Serendipity
		[GetSpellInfo(48168)] = { color={0.4,0.4,0}, }, -- Inner Fire
		[GetSpellInfo(14751)] = { color={0,0,1}, }, -- Inner Focus
		[GetSpellInfo(15332)] = { color={1,0,0.5}, }, -- Shadow Weaving
	}
	return tmplist
end